

<!DOCTYPE html>

<html lang="ja">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.3.27. lock_clear &#8212; Groonga v10.1.1-31-g1e46ba6ドキュメント</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    <script src="../../_static/translations.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="索引" href="../../genindex.html" />
    <link rel="search" title="検索" href="../../search.html" />
    <link rel="next" title="7.3.28. lock_release" href="lock_release.html" />
    <link rel="prev" title="7.3.26. lock_acquire" href="lock_acquire.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">オープンソースのカラムストア機能付き全文検索エンジン</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../en/html/reference/commands/lock_clear.html">English</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             accesskey="I">索引</a></li>
        <li class="right" >
          <a href="lock_release.html" title="7.3.28. lock_release"
             accesskey="N">次へ</a> |</li>
        <li class="right" >
          <a href="lock_acquire.html" title="7.3.26. lock_acquire"
             accesskey="P">前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" accesskey="U"><span class="section-number">7.3. </span>コマンド</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.27. </span><code class="docutils literal notranslate"><span class="pre">lock_clear</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="lock-clear">
<h1><span class="section-number">7.3.27. </span><code class="docutils literal notranslate"><span class="pre">lock_clear</span></code><a class="headerlink" href="#lock-clear" title="このヘッドラインへのパーマリンク">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.3.27.1. </span>概要<a class="headerlink" href="#summary" title="このヘッドラインへのパーマリンク">¶</a></h2>
<div class="versionadded">
<p><span class="versionmodified added">バージョン 4.0.9 で追加.</span></p>
</div>
<p><code class="docutils literal notranslate"><span class="pre">lock_clear</span></code> コマンドは対象オブジェクトのロックを再帰的に解除します。対象オブジェクトはデータベース、テーブル、カラムのどれかです。</p>
<div class="admonition note">
<p class="admonition-title">注釈</p>
<p>これは危険なコマンドです。他のプロセスまたは他のスレッドが対象オブジェクトに書き込み処理を実行している間はこのコマンドを使ってはいけません。もし使ったなら、データベースは壊れるかもしれませんし、実行中のプロセスはクラッシュするかもしれません。</p>
</div>
</div>
<div class="section" id="syntax">
<h2><span class="section-number">7.3.27.2. </span>構文<a class="headerlink" href="#syntax" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>このコマンドの引数は1つで省略できます:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>lock_clear [target_name=null]
</pre></div>
</div>
<p><code class="docutils literal notranslate"><span class="pre">target_name</span></code> パラメーターを省略した場合は対象オブジェクトはデータベースになります。これはデータベース中のすべてのロックを解除するという意味です。</p>
</div>
<div class="section" id="usage">
<h2><span class="section-number">7.3.27.3. </span>使い方<a class="headerlink" href="#usage" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>以下はデータベースの中のすべてのロックを解除する例です。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>lock_clear
# [[0, 1337566253.89858, 0.000355720520019531], true]
</pre></div>
</div>
<p>以下は <code class="docutils literal notranslate"><span class="pre">Entries</span></code> テーブルと <code class="docutils literal notranslate"><span class="pre">Entries</span></code> テーブルのカラムのロックを解除する例です。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>table_create Entries TABLE_NO_KEY
# [[0, 1337566253.89858, 0.000355720520019531], true]
column_create Entries body COLUMN_SCALAR Text
# [[0, 1337566253.89858, 0.000355720520019531], true]
lock_clear Entries
# [[0, 1337566253.89858, 0.000355720520019531], true]
</pre></div>
</div>
<p>以下は <code class="docutils literal notranslate"><span class="pre">Sites.title</span></code> カラムのロックを解除する例です。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>table_create Sites TABLE_HASH_KEY ShortText
# [[0, 1337566253.89858, 0.000355720520019531], true]
column_create Sites title COLUMN_SCALAR ShortText
# [[0, 1337566253.89858, 0.000355720520019531], true]
lock_clear Sites.title
# [[0, 1337566253.89858, 0.000355720520019531], true]
</pre></div>
</div>
</div>
<div class="section" id="parameters">
<h2><span class="section-number">7.3.27.4. </span>引数<a class="headerlink" href="#parameters" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>このセクションではすべての引数について説明します。</p>
<div class="section" id="target-name">
<h3><span class="section-number">7.3.27.4.1. </span><code class="docutils literal notranslate"><span class="pre">target_name</span></code><a class="headerlink" href="#target-name" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p>テーブル名またはカラム名を指定します。</p>
<p>指定しなかったら対象オブジェクトはデータベースになります。</p>
<p>デフォルト値はありません。これは対象オブジェクトはデータベースになるということです。</p>
</div>
</div>
<div class="section" id="return-value">
<h2><span class="section-number">7.3.27.5. </span>戻り値<a class="headerlink" href="#return-value" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">lock_clear</span></code> コマンドはロックを解除できたかどうかを返します。:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>[HEADER, SUCCEEDED_OR_NOT]
</pre></div>
</div>
<p><code class="docutils literal notranslate"><span class="pre">HEADER</span></code></p>
<blockquote>
<div><p><code class="docutils literal notranslate"><span class="pre">HEADER</span></code> については <a class="reference internal" href="../command/output_format.html"><span class="doc">出力形式</span></a> を参照してください。</p>
</div></blockquote>
<p><code class="docutils literal notranslate"><span class="pre">SUCCEEDED_OR_NOT</span></code></p>
<blockquote>
<div><p>コマンドの実行が成功するとtrueを返します。失敗するとエラーとしてfalseを返します。</p>
</div></blockquote>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">目次</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.3.27. <code class="docutils literal notranslate"><span class="pre">lock_clear</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.3.27.1. 概要</a></li>
<li><a class="reference internal" href="#syntax">7.3.27.2. 構文</a></li>
<li><a class="reference internal" href="#usage">7.3.27.3. 使い方</a></li>
<li><a class="reference internal" href="#parameters">7.3.27.4. 引数</a><ul>
<li><a class="reference internal" href="#target-name">7.3.27.4.1. <code class="docutils literal notranslate"><span class="pre">target_name</span></code></a></li>
</ul>
</li>
<li><a class="reference internal" href="#return-value">7.3.27.5. 戻り値</a></li>
</ul>
</li>
</ul>

  <h4>前のトピックへ</h4>
  <p class="topless"><a href="lock_acquire.html"
                        title="前の章へ"><span class="section-number">7.3.26. </span><code class="docutils literal notranslate"><span class="pre">lock_acquire</span></code></a></p>
  <h4>次のトピックへ</h4>
  <p class="topless"><a href="lock_release.html"
                        title="次の章へ"><span class="section-number">7.3.28. </span><code class="docutils literal notranslate"><span class="pre">lock_release</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">クイック検索</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="検索" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             >索引</a></li>
        <li class="right" >
          <a href="lock_release.html" title="7.3.28. lock_release"
             >次へ</a> |</li>
        <li class="right" >
          <a href="lock_acquire.html" title="7.3.26. lock_acquire"
             >前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" ><span class="section-number">7.3. </span>コマンド</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.27. </span><code class="docutils literal notranslate"><span class="pre">lock_clear</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>